Bug 4523 - [UPDATE REQUEST] openldap 2.4.40
: [UPDATE REQUEST] openldap 2.4.40
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-14 15:41 MSD by Zombie Ryushu
Modified: 2015-02-26 16:24 MSK (History)
3 users (show)

See Also:
RPM Package: openldap
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2014-10-14 15:41:44 MSD
The version of OpenLDAP in Rosa 2014.1 is still 2.4.33, this version is deprecated and the current version is 2.4.40. Please update?
Comment 1 Zombie Ryushu 2015-01-14 01:49:35 MSK
This is still an issue.
Comment 2 Alexey Ivanov 2015-02-17 11:05:40 MSK
New package has been built.

Build lists:
https://abf.io/build_lists/2425609
https://abf.io/build_lists/2425610

Advisory:
Upgrade OpenLDAP version to 2.4.40.

This upgrade should also cover bug #3771.
Comment 3 Alexander Petryakov 2015-02-20 03:19:00 MSK
# urpmi.addmedia --update 4523 http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425609/i586/main/release/

# urpmi --auto-update --auto-select 
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «4523»)
 libldap2.4_3                   2.4.40       1             rosa  2014.1 i586 
 openldap                       2.4.40       1             rosa  2014.1 i586 
 openldap-clients               2.4.40       1             rosa  2014.1 i586 
Будет использовано 726КБ дополнительного дискового пространства.
Будет загружено 314КБ пакетов.
Установить 3 пакетов? (Y/n) y
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425609/i586/main/release/openldap-clients-2.4.40-1-rosa2014.1.i586.rpm
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425609/i586/main/release/openldap-2.4.40-1-rosa2014.1.i586.rpm
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425609/i586/main/release/libldap2.4_3-2.4.40-1-rosa2014.1.i586.rpm
                                                                               

устанавливается libldap2.4_3-2.4.40-1-rosa2014.1.i586.rpm openldap-2.4.40-1-rosa2014.1.i586.rpm openldap-clients-2.4.40-1-rosa2014.1.i586.rpm из /var/cache/urpmi/rpms
Подготовка...                    #############################################
Установка не удалась:   файл /usr/lib/liblber-2.4.so.2 из устанавливаемого пакета libldap2.4_3-2.4.40-1.i586 конфликтует с файлом из пакета libldap2.4_2-2.4.33-4.i586
        файл /usr/lib/libldap-2.4.so.2 из устанавливаемого пакета libldap2.4_3-2.4.40-1.i586 конфликтует с файлом из пакета libldap2.4_2-2.4.33-4.i586
        файл /usr/lib/libldap_r-2.4.so.2 из устанавливаемого пакета libldap2.4_3-2.4.40-1.i586 конфликтует с файлом из пакета libldap2.4_2-2.4.33-4.i586
Comment 4 Alexey Ivanov 2015-02-20 13:19:00 MSK
Another pair of build lists:
https://abf.io/build_lists/2431299
https://abf.io/build_lists/2431300

Dependencies should not be a problem any more.
Comment 5 Alexander Petryakov 2015-02-24 00:00:18 MSK
More one point
3/4: openldap-servers      #############################################
Stopping ldap (via systemctl):                                  [  OK  ]
awk: cmd. line:1: fatal: cannot open file `/usr/share/openldap/schema/krb5-kdc.schema' for reading (Нет такого файла или каталога)
May be it does not matter?
Comment 6 Zombie Ryushu 2015-02-24 01:49:20 MSK
This is an invalid schema File. Replace it with hdb.schema from the Heimdal Kerberos package and adjust slapd.confto include that instead.
Comment 7 Alexander Petryakov 2015-02-25 03:26:57 MSK
openldap-2.4.40-2
https://abf.io/build_lists/2431299
https://abf.io/build_lists/2431300

************** Advisory **************
Upgrade OpenLDAP version to 2.4.40.
**************************************
QA Verified
Comment 8 Zombie Ryushu 2015-02-25 04:00:31 MSK
(In reply to comment #7)
> openldap-2.4.40-2
> https://abf.io/build_lists/2431299
> https://abf.io/build_lists/2431300
> 
> ************** Advisory **************
> Upgrade OpenLDAP version to 2.4.40.
> **************************************
> QA Verified

Did you fix the schema?
Comment 9 Alexey Ivanov 2015-02-25 08:21:49 MSK
(In reply to comment #7)

Thank you.
Sorry for answering this late — I wanted to investigate this problem deeper (along with some other) and it took quite some time.
We have dependency loop that alters installation order and forces openldap-servers to be installed before openldap-extra-schemas. This is why slapd is complaining on missing krb5-kdc.schema when being installed. This is not quite nice but is not critical. Openldap package requires a lot of polishing. We'll fix this along the course.
Comment 10 Alexey Ivanov 2015-02-25 08:37:40 MSK
(In reply to comment #8)

> Did you fix the schema?

Not only OpenLDAP depends on openldap-extra-schemas but some other packages. Can't allow those to break so I'll have to study them first. But I see that openldap-extra-schemas does require rethinking.
I'd be glad to take your point into account while I am on it. Please open separate bug and explain your proposal in details.
Comment 11 Zombie Ryushu 2015-02-26 14:05:26 MSK
I'm sincerely hoping when I get this installed on my one Rosa 2014.1 Domain controller, it goes seamlessly.
Comment 12 Alexey Ivanov 2015-02-26 16:24:23 MSK
Upgrade should not cause any problems.
It runs smoothly in test environment.